##Docs (带有*为必选)
#*(String)type 数值类型
#*(String)id 唯一id
#*(取决于数值类型)d_value 默认值
#*(取决于数值类型)value 当前值（推荐设置为与默认值相同)
#(compound)name 显示名称,原始JSON文本的复合标签形式
#(compound)tips 提示,类型同上
#(String)operation_over_run 一条命令,在调整数值结束后运行
#(String)operation_condition 调整条件，函数路径
#(数字类型,取决于type)change 每次更改时加减的值
#(int) max/min 最大/最小
#(compound 物品共通标签) item 在控制器中显示的物品



execute unless data storage vs:system gamerules[{id:"void_stream_change_max_time"}] run data modify storage vs:system gamerules append value {id:"void_stream_change_max_time",d_value:6000,value:6000,type:"int",name:{"text":"虚空流变化最大时间(刻)","color":"dark_purple"},tips:{"text":"每次虚空流变化时间的随机最大值(上限为10000 下限为1000)","color":"yellow"},item:{id:"obsidian"},change:100,min:1000,max:10000,operation_over_run:"function vs:system/game/rules/operation_over_run/void_stream_change_max_time"}
execute unless data storage vs:system gamerules[{id:"void_stream_change_min_time"}] run data modify storage vs:system gamerules append value {id:"void_stream_change_min_time",d_value:5000,value:5000,type:"int",name:{"text":"虚空流变化最小时间(刻)","color":"dark_purple"},tips:{"text":"每次虚空流变化时间的随机最小值(上限为随机最大值-100 下限为500)","color":"yellow"},item:{id:"obsidian"},change:100,min:500,operation_condition:"vs:system/game/rules/operation_conditions/void_stream_change_min_time"}
execute unless data storage vs:system gamerules[{id:"stream_barrier_spawner_max_health"}] run data modify storage vs:system gamerules append value {id:"stream_barrier_spawner_max_health",d_value:60,value:60,type:"int",min:5,max:500,name:{"text":"暗流屏障发生器最大生命值","color":"green"},item:{id:"beacon"},change:5}
execute unless data storage vs:system gamerules[{id:"void_ore_spawn_count"}] run data modify storage vs:system gamerules append value {id:"void_ore_spawn_count",d_value:35,value:35,type:"int",min:5,max:300,name:{"text":"虚空矿生成数","color":"light_purple"},item:{id:"crying_obsidian"},change:5}
execute unless data storage vs:system gamerules[{id:"spawn_time"}] run data modify storage vs:system gamerules append value {id:"spawn_time",d_value:5,value:5,type:"int",min:1,name:{"text":"重生时间(秒)","color":"green"},item:{id:"totem_of_undying"},change:1}
execute unless data storage vs:system gamerules[{id:"stream_barrier_spawner_devour_power_consume"}] run data modify storage vs:system gamerules append value {id:"stream_barrier_spawner_devour_power_consume",d_value:1,value:1,type:"int",min:0,name:{"text":"§r§5虚空吞噬状态时暗流屏障发生器每分钟增加耗电","color":"dark_purple"},tips:{"text":"虚空为吞噬状态时每分钟增加的暗流屏障发生器耗电量","color":"yellow"},item:{id:"end_crystal"},change:1}
execute unless data storage vs:system gamerules[{id:"devour_attack_damage"}] run data modify storage vs:system gamerules append value {id:"devour_attack_damage",d_value:5,value:5,type:"int",min:1,name:{"text":"§r§d虚空吞噬攻击伤害","color":"light_purple"},tips:{"text":"虚空为吞噬状态时每分钟攻击对所有设备造成的伤害","color":"yellow"},item:{id:"end_crystal"},change:1}